Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236537 - Review Request: gpsbabel - A tool to convert between various formats used by GPS devices
Summary: Review Request: gpsbabel - A tool to convert between various formats used by ...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Roozbeh Pournader
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-16 09:13 UTC by Roozbeh Pournader
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-19 17:59:50 UTC
sander: fedora-review+
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Roozbeh Pournader 2007-04-16 09:13:47 UTC
Spec URL: http://guava.farsiweb.info/~roozbeh/gpsbabel.spec
SRPM URL: http://guava.farsiweb.info/~roozbeh/gpsbabel-1.3.3-1.src.rpm

Description: 
Converts GPS waypoint, route, and track data from one format type
to another.

Comment 1 Sander Hoentjen 2007-04-16 12:12:03 UTC
Good:

- rpmlint checks return nothing
- package meets naming guidelines
- package meets packaging guidelines
- license ( GPL ) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86_64)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file 

Suggestion:
You can include gpsbabel-sample.ini in the %doc section, to provide an example
for people to use, but this is up to you.

APPROVED

Comment 2 Roozbeh Pournader 2007-04-16 13:05:59 UTC
New Package CVS Request
=======================
Package Name: gpsbabel
Short Description: A tool to convert between various formats used by GPS devices
Owners: roozbeh@farsiweb.info
Branches: FC-5 FC-6 EL-5
InitialCC:


Comment 3 Roozbeh Pournader 2007-04-19 17:59:50 UTC
Built in devel, FC-5, FC-6, and EL-5.


Note You need to log in before you can comment on or make changes to this bug.